<?php
/**
 * Register Theme Widget
 * @package cyarb
 */

// Theme Sidebar
function cyarb_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Blog Sidebar', 'cyarb' ),
		'id'            => 'article-sidebar',
		'description'   => esc_html__( 'Add widgets here.', 'cyarb' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
    ) );
    
	// Footer One Widget
    register_sidebar( array( 
        'name'          => esc_html__( 'Footer First Widget', 'cyarb' ),
        'id'            => 'cyarb_footer_one',
        'description'   => esc_html__( 'Add widgets here.', 'cyarb' ),
        'before_widget' => '<div class="single-footer-widget widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3 class="footer-content-title">',
        'after_title'   => '</h3>',
    ) );
    
    // Footer Two Widget
    register_sidebar( array( 
        'name'          => esc_html__( 'Footer Second Widget', 'cyarb' ),
        'id'            => 'cyarb_footer_two',
        'description'   => esc_html__( 'Add widgets here.', 'cyarb' ),
        'before_widget' => '<div class="single-footer-widget widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3 class="footer-content-title">',
        'after_title'   => '</h3>',
    ) );

    // Footer Three Widget
    register_sidebar( array( 
        'name'          => esc_html__( 'Footer Third Widget', 'cyarb' ),
        'id'            => 'cyarb_footer_three',
        'description'   => esc_html__( 'Add widgets here.', 'cyarb' ),
        'before_widget' => '<div class="single-footer-widget widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3 class="footer-content-title">',
        'after_title'   => '</h3>',
    ) );

    // Footer Four Widget
    register_sidebar( array( 
        'name'          => esc_html__( 'Footer Four Widget', 'cyarb' ),
        'id'            => 'cyarb_footer_four',
        'description'   => esc_html__( 'Add widgets here.', 'cyarb' ),
        'before_widget' => '<div class="single-footer-widget widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3 class="footer-content-title">',
        'after_title'   => '</h3>',
    ) );

    // Shop Sidebar
    if ( class_exists( 'WooCommerce' ) ){
        register_sidebar( array( 
            'name'          => esc_html__( 'Shop Sidebar', 'cyarb' ),
            'id'            => 'shop',
            'description'   => esc_html__( 'Add widgets here.', 'cyarb' ),
            'before_widget' => '<div class="widget %2$s">',
            'after_widget'  => '</div>',
            'before_title'  => '<h3 class="widget-title">',
            'after_title'   => '</h3>',
        ) );
    }
}
add_action( 'widgets_init', 'cyarb_widgets_init' );