<?php global $cyarb_opt;
/**
 * The archive file
 * @package cyarb
 */
get_header();

// Blog Sidebar
if( isset( $cyarb_opt['cyarb_blog_sidebar'] ) ) {
    if( $cyarb_opt['cyarb_blog_sidebar'] == 'cyarb_without_sidebar_center' ):
        $cyarb_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
    elseif( $cyarb_opt['cyarb_blog_sidebar'] == 'cyarb_without_sidebar' ):
        $cyarb_sidebar_class = 'col-lg-12 col-md-12';
    else:
        if( is_active_sidebar( 'article-sidebar' ) ):
            $cyarb_sidebar_class = 'col-lg-8 col-md-12';
        else:
            $cyarb_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
        endif;
    endif;
    $sidebar_hide = $cyarb_opt['cyarb_blog_sidebar'];
} else {
    if( is_active_sidebar( 'article-sidebar' ) ):
        $cyarb_sidebar_class = 'col-lg-8 col-md-12';
        $sidebar_hide = 'cyarb_with_sidebar';
    else:
        $cyarb_sidebar_class = 'col-lg-8 col-md-12 offset-lg-2';
        $sidebar_hide = 'cyarb_without_sidebar';
    endif;
}

// Blog title and breadcrumb
if ( isset($cyarb_opt['blog_title']) ) {
    $title                  = $cyarb_opt['blog_title'];
    $hide_breadcrumb        = $cyarb_opt['hide_breadcrumb'];
    $hide_blog_banner       = $cyarb_opt['hide_blog_banner'];
    $banner_bg              = $cyarb_opt['blog_bg']['url'];
} else {
    $title                  = esc_html__('Blog', 'cyarb');
    $hide_breadcrumb        = false;
    $hide_blog_banner       = false;
    $banner_bg              = '';
}

// After Hiding Banner add spacing
if( $hide_blog_banner == true ){
    $page_spac = 'mt-80';
} else {
    $page_spac = '';
}
$blog_link = get_permalink( get_option( 'page_for_posts' ));

// page banner shape image
if( isset( $cyarb_opt['cyarb_banner_image_shape'] ) ):	
	$banner_shape = $cyarb_opt['cyarb_banner_image_shape'];
else:
	$banner_shape = '';
endif;

?>

    <!-- Start Page Title Area -->
    <?php if( $hide_blog_banner == false ): ?>
        <div class="page-title-area" style="background-image:url(<?php echo esc_url( $banner_bg ); ?>);">
            <div class="container">
                <div class="page-title-content">
                    <h1><?php if(!$title == ''){ echo esc_html($title); }else{ echo esc_html__('Blog', 'cyarb'); } ?></h1>

                    <?php if( $hide_breadcrumb == false ):  ?>
                        <ul>
                            <li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'Home', 'cyarb' ); ?></a></li>
                            <li><?php if(!$title == ''){ echo esc_html($title); }else{ echo esc_html__('Blog', 'cyarb'); } ?></li>
                        </ul><?php
                    endif; ?>
                </div>
            </div>
            <?php if( $banner_shape == 1 ) : ?>
                <div class="shape1"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape1.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
                <div class="shape2"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape2.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
                <div class="shape4"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape4.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
                <div class="shape5"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape5.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
            <?php endif; ?>
        </div>
    <?php endif; ?>
    <!-- End Page Title Area -->

    <!-- Start Blog Area -->
    <div class="blog-area ptb-100 <?php echo esc_attr($page_spac); ?>">
        <div class="container">
            <div class="row">
                <!-- Start Blog Content -->
                <div class="<?php echo esc_attr( $cyarb_sidebar_class ); ?>">
                    <?php
                    if ( have_posts() ) :
                        while ( have_posts() ) :
                            the_post();
                            get_template_part( 'template-parts/content', get_post_format());
                        endwhile;
                    else :
                        get_template_part( 'template-parts/content', 'none' );
                    endif;
                    ?>
            
                    <!-- Stat Pagination -->
                    <?php if ( paginate_links() ): ?>
                        <div class="col-12">
                            <div class="pagination-area">
                                <nav aria-label="navigation">
                                    <?php echo paginate_links( array(
                                        'format' => '?paged=%#%',
                                        'prev_text' => '<i class="lni lni-angle-double-left"></i>',
                                        'next_text' => '<i class="lni lni-angle-double-right"></i>',
                                        )
                                    ) ?>
                                </nav>
                            </div>
                        </div>
                    <?php endif; ?>
                    
                    <!-- End Pagination -->
                </div>
                <!-- End Blog Content -->
                
                <?php if( $sidebar_hide == 'cyarb_with_sidebar' ): ?>
                    <?php get_sidebar(); ?>
                <?php endif; ?>
            </div>   
        </div>
    </div>
<?php
get_footer();