<?php global $cyarb_opt;
/**
 * Single Service
 */
get_header(); 

    // Service banner and breadcrumb
    if ( isset($cyarb_opt['hide_service_banner']) ) {
        $hide_service_breadcrumb            = $cyarb_opt['hide_service_breadcrumb'];
        $hide_service_banner                = $cyarb_opt['hide_service_banner'];
    } else {
        $hide_service_breadcrumb            = false;
        $hide_service_banner                = false;
    }

    // After Hiding Banner add spacing
    if( $hide_service_banner == true){
        $page_spac = 'mt-80';
    } else {
        $page_spac = '';
    }

    if( function_exists('acf_add_options_page') ) {
        $bg_img             = get_field( 'banner_background_image' );
        $banner_title		= get_field( 'page_banner_title' );
    }else {
        $bg_img             = '';
        $banner_title 		= '';
    }

    // page banner shape image
    if( isset( $cyarb_opt['cyarb_banner_image_shape'] ) ):	
        $banner_shape = $cyarb_opt['cyarb_banner_image_shape'];
    else:
        $banner_shape = '';
    endif;

?>
    <?php if( $hide_service_banner == false ): ?>
        <div class="page-title-area bg-17" style="background-image:url(<?php echo esc_url( $bg_img ); ?>);">
            <div class="container">
                <div class="page-title-content">
                    <h1><?php the_title(); ?></h1>

                    <?php if( $hide_service_breadcrumb == false ) : ?>
                        <ul>
                            <li>
                                <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                                    <?php esc_html_e('Home', 'cyarb')?>
                                </a>
                            </li>

                            <li class="active"><?php the_title(); ?></li>
                        </ul><?php
					endif; ?>
                </div>
            </div>

            <?php if( $banner_shape == 1 ) : ?>
                <div class="shape1"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape1.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
                <div class="shape2"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape2.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
                <div class="shape4"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape4.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
                <div class="shape5"><img src="<?php echo esc_url(get_template_directory_uri() .'/assets/img/shape/shape5.png' ); ?>" alt="<?php the_title_attribute(); ?>"></div>
		    <?php endif; ?>
        </div>
    <?php endif; ?>
    
    <section class="services-details-area pt-100 <?php echo esc_attr($page_spac); ?>">
        <?php while(have_posts()): the_post(); ?>
            <?php the_content(); ?>
        <?php endwhile; ?>
    </section>
<?php get_footer();